Subject: Re: GNU compilers, new Cygnus license wories.
From: [email-masked] (Henrik Geleff)

12 Jul 1997 14:08:32 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
X-Mailer: Mozilla 4.0b5 [en] (Win95; I)
Original-To: Jan-Jaap van der Heijden <[email-masked]>
Original-CC: GNU-Win32 list <[email-masked]>
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Jan-Jaap van der Heijden wrote:

> ...

> It is allowed to use GCC, as part of the GNUPro toolkit, with
> cygwin.dll.
> But, once I modify GCC, it is no longer part of the "GNUPro_Toolkit
> produced by Cygnus Solutions", and I am not allowed to use it with
> cygwin.dll. This effectively limits my freedom to modify GCC
> and distribute modified copies. An example of such a modified GCC is
> the "mingw32" project.
>
mingw32 does not use cygwin.dll, mingw32 replaces it and in fact reduces
the memory requirements of small GUI applications as well as speeding
the load time.

I have not read the license in detail, but mingw32 avoids the quoted
clauses.

Regards

Henrik Geleff

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".